Package org.kapott.hbci.GV_Result

## Class GVRTANList

- java.lang.Object
- - org.kapott.hbci.GV_Result.HBCIJobResultImpl
  - - org.kapott.hbci.GV_Result.GVRTANList

All Implemented Interfaces:
  `java.io.Serializable`, `HBCIJobResult`

    public class GVRTANList
    extends HBCIJobResultImpl

Diese Klasse enthält Informationen über aktuelle TAN-Listen des Kunden. Dabei wird für jede TAN-Liste ein separates Objekt erzeugt. Innerhalb einer TAN-Listen-Informationen gibt es zu jeder verbrauchten TAN genauere Daten.

See Also:
  Serialized Form

### Nested Class Summary

Nested Classes
`static class` `GVRTANList.TANInfo` Daten zu genau einer TAN
`static class` `GVRTANList.TANList` Informationen zu genau einer TAN-Liste.

### Field Summary

### Fields inherited from class org.kapott.hbci.GV_Result.HBCIJobResultImpl

`globStatus, jobStatus`

### Constructor Summary

Constructors
`GVRTANList()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `addTANList​(GVRTANList.TANList list)`
`GVRTANList.TANList[]` `getTANLists()` Gibt ein Array mit Informationen über jede verfügbare TAN-Liste zurück.
`java.lang.String` `toString()`

### Methods inherited from class org.kapott.hbci.GV_Result.HBCIJobResultImpl

`getDialogId, getGlobStatus, getJobId, getJobStatus, getMsgNum, getParentJob, getPassport, getResultData, getRetNumber, getRetVal, getSegNum, isOK, setParentJob, storeResult`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### GVRTANList

    public GVRTANList()

### Method Detail

#### addTANList

    public void addTANList​(GVRTANList.TANList list)

#### getTANLists

    public GVRTANList.TANList[] getTANLists()

Gibt ein Array mit Informationen über jede verfügbare TAN-Liste zurück.

Returns:
  Array mit TAN-Listen-Informationen

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `HBCIJobResultImpl`